/// <reference types="node" />
import type fs from 'fs';
import { ApiClient, BugSplatResponse } from '../../common';
export declare class SymbolsApiClient {
    private _client;
    private readonly route;
    private _timer;
    constructor(_client: ApiClient);
    delete(database: string, application: string, version: string): Promise<BugSplatResponse>;
    post(database: string, application: string, version: string, files: Array<{
        name: string;
        size: number;
        file: File | fs.ReadStream;
    }>): Promise<Array<BugSplatResponse>>;
    private getPresignedUrl;
}
